Skip to content

Get portal dashboard summary

GET
/portal/dashboard_summary

Aggregated dashboard: billing, charges, usage, actions.

token
required
Token
string

Successful Response

PortalDashboardSummaryResponse

Aggregated dashboard summary for the portal.

object
next_billing
required
Next Billing
Array<object>
PortalNextBillingInfo

Next billing date info for a single subscription.

object
subscription_id
required
Subscription Id
string format: uuid
subscription_external_id
required
Subscription External Id
string
plan_name
required
Plan Name
string
plan_interval
required
Plan Interval
string
next_billing_date
required
Next Billing Date
string format: date-time
days_until_next_billing
required
Days Until Next Billing
integer
amount_cents
required
Amount Cents
integer
currency
required
Currency
string
upcoming_charges
required
Upcoming Charges
Array<object>
PortalUpcomingCharge

Upcoming charge estimate for a subscription.

object
subscription_id
required
Subscription Id
string format: uuid
subscription_external_id
required
Subscription External Id
string
plan_name
required
Plan Name
string
base_amount_cents
required
Base Amount Cents
integer
usage_amount_cents
required
Usage Amount Cents
integer
total_estimated_cents
required
Total Estimated Cents
integer
currency
required
Currency
string
usage_progress
required
Usage Progress
Array<object>
PortalUsageProgress

Usage progress toward a plan limit/entitlement.

object
feature_name
required
Feature Name
string
feature_code
required
Feature Code
string
feature_type
required
Feature Type
string
entitlement_value
required
Entitlement Value
string
current_usage
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
usage_percentage
Any of:
number
quick_actions
required
PortalQuickActions

Data for quick action cards on the portal dashboard.

object
outstanding_invoice_count
required
Outstanding Invoice Count
integer
outstanding_amount_cents
required
Outstanding Amount Cents
integer
has_wallet
required
Has Wallet
boolean
wallet_balance_cents
required
Wallet Balance Cents
integer
has_active_subscription
required
Has Active Subscription
boolean
currency
required
Currency
string

Invalid or expired portal token

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object